Oneport Docs
ApiV1WorkspacesSlugSettings

/v1/workspaces/{slug}/settings

PATCH
/v1/workspaces/{slug}/settings

Path Parameters

slug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

primaryColor?string
theme?string
hidePoweredBy?boolean
anonSubmit?boolean
anonVote?boolean
anonComment?boolean
brandVoice?string
ssoSecret?string

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/acme/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "logo": "string",  "primaryColor": "string",  "theme": "light",  "hidePoweredBy": true,  "anonSubmit": true,  "anonVote": true,  "anonComment": true,  "brandVoice": "string",  "ssoSecret": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}